#pragma once

#include "../../entity.hpp"
#include "../../resources.hpp"
#include "../../util/imgui/style.hpp"

namespace game::state::play::style
{
  inline void color_set(Resources& resources, const Entity& character)
  {
    auto* settings = resources.settings.root();
    game::util::imgui::style::color_set(settings->isUseCharacterColor ? character.data.root()->color : settings->color);
  }
}
